SoTextureMatrixTransform(3)

NAME
SoTextureMatrixTransform - The SoTextureMatrixTransform class is used to define a texture matrix transformation.

SYNOPSIS

#include <Inventor/nodes/SoTextureMatrixTransform.h>

Inherits SoNode.

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureMatrixTransform (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void getMatrix (SoGetMatrixAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFMatrix matrix

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureMatrixTransform ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureMatrixTransform class is used to define a texture matrix transformation. Textures applied to shapes in the scene can be transformed by 'prefixing' in the state with instances of this node type.

Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
 FILE FORMAT/DEFAULTS:

TextureMatrixTransform {
    matrix
      1 0 0 0
      0 1 0 0
      0 0 1 0
      0 0 0 1
}

See also
    SoTexture3Transform

Since
    Coin 2.5

Constructor & Destructor Documentation

  SoTextureMatrixTransform::SoTextureMatrixTransform (void)
Constructor.

  SoTextureMatrixTransform::~SoTextureMatrixTransform () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureMatrixTransform::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureMatrixTransform::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTextureMatrixTransform::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureMatrixTransform::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoTextureMatrixTransform::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTextureMatrixTransform::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoTextureMatrixTransform::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTextureMatrixTransform::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  void SoTextureMatrixTransform::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

Member Data Documentation

  SoSFVec3f SoTextureMatrixTransform::matrix
Texture coordinate matrix. Default is the identity matrix.

Author

Generated automatically by Doxygen for Coin from the source code.